<!-- <div class="mat-elevation-z1">
    <table mat-table [dataSource]="dataSource" matSort>
  
      <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef  mat-sort-header> Action</th>
        <td mat-cell *matCellDef="let product" class="left-text">  
       
        </td>
      </ng-container>
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef  mat-sort-header> Name </th>
        <td mat-cell *matCellDef="let product" class="left-text"> {{product.name}} </td>
      </ng-container>
  
      <ng-container matColumnDef="price">
        <th mat-header-cell *matHeaderCellDef  mat-sort-header> Price </th>
        <td mat-cell *matCellDef="let product" class="left-text"> {{product.price}} </td>
      </ng-container>


      <ng-container matColumnDef="description">
        <th mat-header-cell *matHeaderCellDef  mat-sort-header> Description </th>
        <td mat-cell *matCellDef="let product" class="left-text">{{product.description}}  </td>
      </ng-container>
  
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  
    <mat-paginator [pageSizeOptions]="[5]"></mat-paginator>
</div>
   -->
   <!-- Cards with media area -->
   <button  mat-raised-button color="primary" class="btn-primary" (click)="showForm()">Paramétrer un nouveau produit</button>
   <div class="container">
    
    <mat-list role="list" class="list-horizontal">
        <mat-list-item role="listitem" *ngFor="let product of products">
        <mat-card class="example-card">
        <mat-card-title-group>
          <mat-card-title>{{product.name}}</mat-card-title>
          <mat-card-subtitle>{{product.price}} € </mat-card-subtitle>
          <img mat-card-sm-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" >
        </mat-card-title-group>
        <mat-card-content>
          {{product.description}}
          <mat-divider></mat-divider>
          <button mat-raised-button class="btn" style="margin-top: 2px;" color="primary" type="button" (click)="ishowFormUpdate(product)" class="button" >edit</button>
          <button mat-raised-button class="btn" style="margin-top: 2px;" color="accent" type="button" (click)="delete(product)" class="button" >delete</button>
        </mat-card-content>
      </mat-card>
     </mat-list-item>
    </mat-list>

   </div>
        

<div style="display: flex; flex-direction: row; margin-top: 10px;">
    <!--parametrage-->
   <div id="added" *ngIf="isShow">
    <form [formGroup]="addedForm" (ngSubmit)="add()" class="form">
        <mat-form-field appearance="legacy">
            <mat-label>Product name</mat-label>
            <input matInput   placeholder="name" type="text" formControlName="name">
          </mat-form-field>
          <mat-divider></mat-divider>
          <mat-form-field appearance="legacy">
            <mat-label>Price of product</mat-label>
            <input matInput  matNativeControl placeholder="price" type="number" formControlName="price">
          </mat-form-field>
          <mat-divider></mat-divider>
          <mat-form-field appearance="fill">
            <mat-label>Description of product</mat-label>
            <textarea matInput  matNativeControl  placeholder="description" type="text" formControlName="description"></textarea>
          </mat-form-field>
          <mat-divider></mat-divider>
          <div class="form-element" id="btn">
            <button mat-raised-button  class="btn" color="primary" type="submit"  class="button" style="margin-left: 5px;" [disabled]="!addedForm.valid">save</button>
            
            <button mat-raised-button class="btn" color="accent" type="button" (click)="reset()" class="button" style="margin-left: 5px;"   [disabled]="!addedForm.valid">Cancel</button>
          </div>
    </form>
</div>
<div id="up" *ngIf="isShowUpdate">
<form [formGroup]="updatedForm" (ngSubmit)="update()" class="form">
    <mat-form-field appearance="legacy">
        <mat-label>Product name</mat-label>
        <input matInput   placeholder="name" type="text" [(ngModel)]="productUpdated.name" formControlName="nameU">
      </mat-form-field>
      <mat-divider></mat-divider>
      <mat-form-field appearance="legacy">
        <mat-label>Price of product</mat-label>
        <input matInput  matNativeControl placeholder="price" [(ngModel)]="productUpdated.price" type="number" formControlName="priceU">
      </mat-form-field>
      <mat-divider></mat-divider>
      <mat-form-field appearance="fill">
        <mat-label>Description of product</mat-label>
        <textarea matInput  matNativeControl  placeholder="description" [(ngModel)]="productUpdated.description" type="text" formControlName="descriptionU"></textarea>
      </mat-form-field>
      <mat-divider></mat-divider>

      <div class="form-element" id="btn">
        <button mat-raised-button  class="btn" color="primary" type="submit"  class="button" style="margin-left: 5px;" [disabled]="!updatedForm.valid">save</button>
        
        <button mat-raised-button class="btn" color="accent" type="button" (click)="resetU()" class="button" style="margin-left: 5px;"   [disabled]="!updatedForm.valid">Cancel</button>
      </div>
</form>
</div>
</div>